diff -U3 -d sancp-1.6.1.patched.a-b/build_acl.cc sancp-1.6.1.patched.c/build_acl.cc
--- sancp-1.6.1.patched.a-b/build_acl.cc	2006-01-13 07:37:41.000000000 -0500
+++ sancp-1.6.1.patched.c/build_acl.cc	2006-01-13 07:46:24.000000000 -0500
@@ -146,13 +146,13 @@
 	                	num = (u_int64_t) strtoll(argv[ctr],&ftmp,0);
 	                	if(argv[ctr]==ftmp)
 	                	{
-        	                	syslog(LOG_ERR,"Format error, invalid last_cnxid: %s, using cnxid %llu\n",argv[ctr],gVars.cnx_id);
+        	                	syslog(LOG_ERR,"Format error, invalid last_cnxid: %s, using cnxid %llu\n",argv[ctr],(long long unsigned)gVars.cnx_id);
 	                	}else
 				manage_cid(0);
 				if(gVars.cnx_id>num){
-        	                	syslog(LOG_ERR,"cnxid provided (%llu) is less than 64bit cnxid in the '.cnxid' cache file, using cnxid %llu from cache instead\n",num,gVars.cnx_id);
+        	                	syslog(LOG_ERR,"cnxid provided (%llu) is less than 64bit cnxid in the '.cnxid' cache file, using cnxid %llu from cache instead\n",num,(long long unsigned) gVars.cnx_id);
 				}else{
-        	                	syslog(LOG_ERR,"Using cnxid provided (%llu) rather than the last cnxid in the '.cnxid' cache file (%llu)\n",num,gVars.cnx_id);
+        	                	syslog(LOG_ERR,"Using cnxid provided (%llu) rather than the last cnxid in the '.cnxid' cache file (%llu)\n",num,(long long unsigned) gVars.cnx_id);
 					// Save the new cnx_id
 					gVars.cnx_id=num;
 					manage_cid(1);
@@ -1903,14 +1903,14 @@
 			{
 				if((tmp = get_tok(rules,accept))==NULL)
 				{
-					syslog(LOG_ERR,"Format error, limit specified but none provided, using default limit %llu\n",gVars.default_limit);
+					syslog(LOG_ERR,"Format error, limit specified but none provided, using default limit %llu\n",(long long unsigned)gVars.default_limit);
 					return;
 				}
 				pptr=tmp;
 				n_acl->limit = (u_int64_t) strtol(tmp,&pptr,0);
 				if(tmp==pptr)	
 				{
-					syslog(LOG_ERR,"Format error, invalid limit %s, using default limit %llu\n",tmp,gVars.default_limit);
+					syslog(LOG_ERR,"Format error, invalid limit %s, using default limit %llu\n",tmp,(long long unsigned)gVars.default_limit);
 					// Let's restore the delimiter and put back our token 
 					// this might be the next option
 					tmp[sizeof(tmp)-1]=' ';
@@ -2061,7 +2061,7 @@
 				n_acl->retro = true;
 				continue;
 			}
-			syslog(LOG_ERR,"Skipping, invalid option in rule: %d %d .%s. .%s.\n",(u_int32_t) *tok,(u_int32_t) tok, tok,*rules);
+			syslog(LOG_ERR,"Skipping, invalid option in rule: %s %s\n", tok,*rules);
 			return;
 		}
 		// If we made it this far, the rule is good
@@ -2230,7 +2230,7 @@
        	LOG[1023]='\0'; gVars.sdF->write(LOG,strlen(LOG)); bzero(LOG,1024);
 	sprintf(LOG,"default timeout=%d\n",gVars.default_timeout);
        	LOG[1023]='\0'; gVars.sdF->write(LOG,strlen(LOG)); bzero(LOG,1024);
-	sprintf(LOG,"default limit=%llu\n",gVars.default_limit);
+	sprintf(LOG,"default limit=%llu\n",(long long unsigned)gVars.default_limit);
        	LOG[1023]='\0'; gVars.sdF->write(LOG,strlen(LOG)); bzero(LOG,1024);
 	sprintf(LOG,"default tcplag=%d\n",gVars.default_tcplag);
        	LOG[1023]='\0'; gVars.sdF->write(LOG,strlen(LOG)); bzero(LOG,1024);
@@ -2480,7 +2480,7 @@
 
 		// LIMIT
 		if(tmpptr->limit!=gVars.default_limit)
-			sprintf(LOG,"%s, limit=%llu",LOG,tmpptr->limit);
+			sprintf(LOG,"%s, limit=%llu",LOG,(long long unsigned)tmpptr->limit);
 		// TIMEOUT
 		if(tmpptr->timeout!=gVars.default_timeout)
 			sprintf(LOG,"%s, timeout=%d",LOG,tmpptr->timeout);
